/********************************************************
 * Information about the backup / serial number		*
 * and date backed up.					*
 ********************************************************/
#include <assert.h>

#include "backup_info.h"

static time_t start_time = 0;	// The time we started

/********************************************************
 * backup_serial -- Return a number that should be 	*
 * 	unique for this backup.				*
 ********************************************************/
time_t backup_serial(void)
{
    if (start_time == 0) {
	time(&start_time);
    }
    return (start_time);
}
/********************************************************
 * backup_date -- Return the date the backup started	*
 ********************************************************/
const char *const backup_date(void)
{
    static char time_str[100];
    ctime_r(&start_time, time_str);
    
    char *end_ptr = index(time_str, '\n');
    assert(end_ptr != NULL);
    *end_ptr = '\0';
    return (time_str);
}
