/********************************************************
 * input_list -- The class to handle the commands	*
 * used to gather a list of files for input to the 	*
 * backup process.					*
 ********************************************************/
#ifndef __INPUTLIST_H__
#define __INPUTLIST_H__

#include "config.h"

/********************************************************
 * Class to get a list of files for input to the backup	*
 * process.  (The input_list goes to the filer	 	*
 * which goes to the batcher which goes to the I/O)	*
 ********************************************************/
class input_list {
    private:
	single_config our_config;	// Our Configuration

	void exec_command(
	   string_set& result,		// Where to put the results
	   const std::string& cmd,	// Type of command
	   const char delim		// Delimiter
	);
    public:
	input_list(
	    const std::string& name,
	    const config& global_config	// Global Configuration Information
	);
	// Copy constructor defaults
	// Assignment operator defaults
	// Destructor defaults
	string_set find_files(void);
};
#endif /* __INPUTLIST_H__ */
